| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gclib.GDataRecord47162 Struct Reference

Data record struct for RIO-47162. More...

Inheritance diagram for gclib.GDataRecord47162:

## Public Member Functions
byte[] | byte_array ()
| Returns the data record as a byte array and allows for access to individual bytes.

## Public Attributes
UB | header_0
| 1st Byte of Header.
UB | header_1
| 2nd Byte of Header.
UB | header_2
| 3rd Byte of Header.
UB | header_3
| 4th Byte of Header.
UW | sample_number
| Sample number.
UB | error_code
| Error code.
UB | general_status
| General status.
UW | output_analog_0
| Analog output 0.
UW | output_analog_1
| Analog output 1.
UW | output_analog_2
| Analog output 2.
UW | output_analog_3
| Analog output 3.
UW | output_analog_4
| Analog output 4.
UW | output_analog_5
| Analog output 5.
UW | output_analog_6
| Analog output 6.
UW | output_analog_7
| Analog output 7.
UW | input_analog_0
| Analog input 0.
UW | input_analog_1
| Analog input 1.
UW | input_analog_2
| Analog input 2.
UW | input_analog_3
| Analog input 3.
UW | input_analog_4
| Analog input 4.
UW | input_analog_5
| Analog input 5.
UW | input_analog_6
| Analog input 6.
UW | input_analog_7
| Analog input 7.
UB | output_byte_0
| Digital outputs 0-7.
UB | output_byte_1
| Digital outputs 8-15.
UB | output_byte_2
| Digital outputs 16-23.
UB | input_byte_0
| Digital inputs 0-7.
UB | input_byte_1
| Digital inputs 8-15.
UB | input_byte_2
| Digital inputs 16-23.
UB | input_byte_3
| Digital inputs 24-31.
UB | input_byte_4
| Digital inputs 32-39.
UL | pulse_count_0
| Pulse counter (see PC).
SL | zc_variable
| ZC User-defined variable (see ZC).
SL | zd_variable
| ZD User-defined variable (see ZD).
SL | encoder_0
| Encoder channel 0. Data only valid for parts with -BISS, -QUAD, or -SSI.
SL | encoder_1
| Encoder channel 1. Data only valid for parts with -BISS, -QUAD, or -SSI.
SL | encoder_2
| Encoder channel 2. Data only valid for parts with -BISS, -QUAD, or -SSI.
SL | encoder_3
| Encoder channel 3. Data only valid for parts with -BISS, -QUAD, or -SSI.

## Detailed Description

Data record struct for RIO-47162.

Definition at line 1925 of file gclib.cs.

## Member Function Documentation

## ◆ byte_array()

byte[] gclib.GDataRecord47162.byte_array | ( |  | ) |
| inline

Returns the data record as a byte array and allows for access to individual bytes.

Implements gclib.GDataRecord.

Definition at line 1927 of file gclib.cs.

## Member Data Documentation

## ◆ header_0

UB gclib.GDataRecord47162.header_0

1st Byte of Header.

Definition at line 1930 of file gclib.cs.

## ◆ header_1

UB gclib.GDataRecord47162.header_1

2nd Byte of Header.

Definition at line 1931 of file gclib.cs.

## ◆ header_2

UB gclib.GDataRecord47162.header_2

3rd Byte of Header.

Definition at line 1932 of file gclib.cs.

## ◆ header_3

UB gclib.GDataRecord47162.header_3

4th Byte of Header.

Definition at line 1933 of file gclib.cs.

## ◆ sample_number

UW gclib.GDataRecord47162.sample_number

Sample number.

Definition at line 1935 of file gclib.cs.

## ◆ error_code

UB gclib.GDataRecord47162.error_code

Error code.

Definition at line 1936 of file gclib.cs.

## ◆ general_status

UB gclib.GDataRecord47162.general_status

General status.

Definition at line 1937 of file gclib.cs.

## ◆ output_analog_0

UW gclib.GDataRecord47162.output_analog_0

Analog output 0.

Definition at line 1939 of file gclib.cs.

## ◆ output_analog_1

UW gclib.GDataRecord47162.output_analog_1

Analog output 1.

Definition at line 1940 of file gclib.cs.

## ◆ output_analog_2

UW gclib.GDataRecord47162.output_analog_2

Analog output 2.

Definition at line 1941 of file gclib.cs.

## ◆ output_analog_3

UW gclib.GDataRecord47162.output_analog_3

Analog output 3.

Definition at line 1942 of file gclib.cs.

## ◆ output_analog_4

UW gclib.GDataRecord47162.output_analog_4

Analog output 4.

Definition at line 1943 of file gclib.cs.

## ◆ output_analog_5

UW gclib.GDataRecord47162.output_analog_5

Analog output 5.

Definition at line 1944 of file gclib.cs.

## ◆ output_analog_6

UW gclib.GDataRecord47162.output_analog_6

Analog output 6.

Definition at line 1945 of file gclib.cs.

## ◆ output_analog_7

UW gclib.GDataRecord47162.output_analog_7

Analog output 7.

Definition at line 1946 of file gclib.cs.

## ◆ input_analog_0

UW gclib.GDataRecord47162.input_analog_0

Analog input 0.

Definition at line 1948 of file gclib.cs.

## ◆ input_analog_1

UW gclib.GDataRecord47162.input_analog_1

Analog input 1.

Definition at line 1949 of file gclib.cs.

## ◆ input_analog_2

UW gclib.GDataRecord47162.input_analog_2

Analog input 2.

Definition at line 1950 of file gclib.cs.

## ◆ input_analog_3

UW gclib.GDataRecord47162.input_analog_3

Analog input 3.

Definition at line 1951 of file gclib.cs.

## ◆ input_analog_4

UW gclib.GDataRecord47162.input_analog_4

Analog input 4.

Definition at line 1952 of file gclib.cs.

## ◆ input_analog_5

UW gclib.GDataRecord47162.input_analog_5

Analog input 5.

Definition at line 1953 of file gclib.cs.

## ◆ input_analog_6

UW gclib.GDataRecord47162.input_analog_6

Analog input 6.

Definition at line 1954 of file gclib.cs.

## ◆ input_analog_7

UW gclib.GDataRecord47162.input_analog_7

Analog input 7.

Definition at line 1955 of file gclib.cs.

## ◆ output_byte_0

UB gclib.GDataRecord47162.output_byte_0

Digital outputs 0-7.

Definition at line 1957 of file gclib.cs.

## ◆ output_byte_1

UB gclib.GDataRecord47162.output_byte_1

Digital outputs 8-15.

Definition at line 1958 of file gclib.cs.

## ◆ output_byte_2

UB gclib.GDataRecord47162.output_byte_2

Digital outputs 16-23.

Definition at line 1959 of file gclib.cs.

## ◆ input_byte_0

UB gclib.GDataRecord47162.input_byte_0

Digital inputs 0-7.

Definition at line 1961 of file gclib.cs.

## ◆ input_byte_1

UB gclib.GDataRecord47162.input_byte_1

Digital inputs 8-15.

Definition at line 1962 of file gclib.cs.

## ◆ input_byte_2

UB gclib.GDataRecord47162.input_byte_2

Digital inputs 16-23.

Definition at line 1963 of file gclib.cs.

## ◆ input_byte_3

UB gclib.GDataRecord47162.input_byte_3

Digital inputs 24-31.

Definition at line 1964 of file gclib.cs.

## ◆ input_byte_4

UB gclib.GDataRecord47162.input_byte_4

Digital inputs 32-39.

Definition at line 1965 of file gclib.cs.

## ◆ pulse_count_0

UL gclib.GDataRecord47162.pulse_count_0

Pulse counter (see PC).

Definition at line 1967 of file gclib.cs.

## ◆ zc_variable

SL gclib.GDataRecord47162.zc_variable

ZC User-defined variable (see ZC).

Definition at line 1968 of file gclib.cs.

## ◆ zd_variable

SL gclib.GDataRecord47162.zd_variable

ZD User-defined variable (see ZD).

Definition at line 1969 of file gclib.cs.

## ◆ encoder_0

SL gclib.GDataRecord47162.encoder_0

Encoder channel 0. Data only valid for parts with -BISS, -QUAD, or -SSI.

Definition at line 1971 of file gclib.cs.

## ◆ encoder_1

SL gclib.GDataRecord47162.encoder_1

Encoder channel 1. Data only valid for parts with -BISS, -QUAD, or -SSI.

Definition at line 1972 of file gclib.cs.

## ◆ encoder_2

SL gclib.GDataRecord47162.encoder_2

Encoder channel 2. Data only valid for parts with -BISS, -QUAD, or -SSI.

Definition at line 1973 of file gclib.cs.

## ◆ encoder_3

SL gclib.GDataRecord47162.encoder_3

Encoder channel 3. Data only valid for parts with -BISS, -QUAD, or -SSI.

Definition at line 1974 of file gclib.cs.

The documentation for this struct was generated from the following file:

- gclib.cs